#if !defined(ADDON_H)
#define ADDON_H

#include <BeBuild.h>

#include <Alert.h>
#include <Application.h>

#include "RunWindow.h"

const bool kAddOn = true;

// process_refs() is called by the Tracker when the 
// add-on is loaded. Here's the declaration.
// In R3 or later, process_refs() is declared in
// TrackerAddOn.h. In PR, you have to declare it 
// yourself. Comment and uncomment the appropriate
// lines below depending on the version of BeOS:

// for PR2 and earlier:
// 
// #pragma export on
// void process_refs(entry_ref dir_ref, BMessage* msg, void*);
// #pragma export reset

// for R3 and later:
// 
#include <add-ons/tracker/TrackerAddOn.h>

// application's mime signature

const char kSig[] = "x-vnd.mgb-run-addon";
const char kAppSig[] = "application/x-vnd.mgb-run-addon";

#endif // ADDON_H